Subject: Re: bug#66582: annoying, needless warning messages from [fe]grep

From: [email-masked]
Date: Tue, 17 Oct 2023 01:13:13 -0600

I too agree with the sentiment that it's wrong to obsolete
egrep and fgrep, and have said so.

I received this today from a gawk pre-tester who is unhappy
with the warnings generated by egrep use in the gawk test suite:

| I haven't time to find those battles with the grep people: I just
| fail to understand how they have the arrogance to think that they
| can drop two tools --- egrep and fgrep --- that are part of the
| standard Unix toolbox, and Unix textbooks, and on the fingertips
| of millions of people.  That is simply not acceptable, and I hope
| that they see the error of their ways.

I doubt that error reports and discussions about this will
decrease over time; egrep and fgrep have been existing practice
for too long.

Thanks,

Arnold